cmake_minimum_required(VERSION 3.10)
project(tests)
FILE(GLOB SRCS *.c)
add_executable(tests ${SRCS})
target_include_directories(tests PUBLIC ../include ../build/deps/check/src ../build/deps/check)
target_link_libraries(tests PUBLIC Lib check)
add_test(NAME mytests COMMAND tests)

if(WIN32)
    add_definitions(-D_WIN32)
elseif(UNIX)
    add_definitions(-d_UNIX)
endif()